| Python Script Engine 8.3 GL Studio Editor Python Script API

Functions
Derived Cast Functions

## Functions
Gls3DCable * | CastToGls3DCable (DisplayObject *obj)
GlsAdvancedMesh * | CastToGlsAdvancedMesh (DisplayObject *obj)
GlsLinearFloatController * | CastToGlsLinearFloatController (DisplayObject *obj)
GlsSerialMorphMesh * | CastToGlsSerialMorphMesh (DisplayObject *obj)
GlsAngularScale * | CastToGlsAngularScale (DisplayObject *obj)
GlsClippingGroup * | CastToGlsClippingGroup (DisplayObject *obj)
GlsCTLTextBox * | CastToGlsCTLTextBox (DisplayObject *obj)
void | ConvertSelectedToGlsCTLTextBox ()
GlsDynamicPath * | CastToGlsDynamicPath (DisplayObject *obj)
GlsPathManager * | CastToGlsPathManager (DisplayObject *obj)
GlsEllipse * | CastToGlsEllipse (DisplayObject *obj)
GlsKnob * | CastToGlsKnob (DisplayObject *obj)
GlsLinearScale * | CastToGlsLinearScale (DisplayObject *obj)
GlsLodGroup * | CastToGlsLodGroup (DisplayObject *obj)
GlsMimicGroup * | CastToGlsMimicGroup (DisplayObject *obj)
GlsMovieTexture * | CastToGlsMovieTexture (DisplayObject *obj)
GlsMovingEye * | CastToGlsMovingEye (DisplayObject *obj)
GlsMultiView * | CastToGlsMultiView (DisplayObject *obj)
GlsMutexGroup * | CastToGlsMutexGroup (DisplayObject *obj)
GlsNinePatch * | CastToGlsNinePatch (DisplayObject *obj)
GlsNurbCurve * | CastToGlsNurbCurve (DisplayObject *obj)
GlsOdometer * | CastToGlsOdometer (DisplayObject *obj)
GlsPolyLine * | CastToGlsPolyLine (DisplayObject *obj)
GlsPushButton * | CastToGlsPushButton (DisplayObject *obj)
GlsSchematicPolyLineInterconnect * | CastToGlsSchematicPolyLineInterconnect (DisplayObject *obj)
GlsSchematicTeeInterconnect * | CastToGlsSchematicTeeInterconnect (DisplayObject *obj)
GlsSwitch * | CastToGlsSwitch (DisplayObject *obj)
GlsTextBox * | CastToGlsTextBox (DisplayObject *obj)
void | ConvertSelectedToGlsTextBox ()
GlsTextGrid * | CastToGlsTextGrid (DisplayObject *obj)
void | ConvertSelectedToGlsTextGrid ()
GlsThumbWheel * | CastToGlsThumbWheel (DisplayObject *obj)
GlsVideoToTexture * | CastToGlsVideoToTexture (DisplayObject *obj)
ComponentRef * | CastToComponentRef (DisplayObject *obj)
GLPolygon * | CastToGLPolygon (DisplayObject *obj)
GlsCylinder * | CastToGlsCylinder (DisplayObject *obj)
GlsEyePoint * | CastToGlsEyePoint (DisplayObject *obj)
GlsLightSource * | CastToGlsLightSource (DisplayObject *obj)
GlsSphere * | CastToGlsSphere (DisplayObject *obj)
GLTriMesh * | CastToGLTriMesh (DisplayObject *obj)
Group * | CastToGroup (DisplayObject *obj)
Text * | CastToText (DisplayObject *obj)

## Detailed Description

Cast operations for derived classes of DisplayObject.

## Function Documentation

## ◆ CastToComponentRef()

ComponentRef * CastToComponentRef | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a ComponentRef.

Parameters

  obj | The display object to cast.

## ◆ CastToGLPolygon()

GLPolygon * CastToGLPolygon | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GLPolygon.

Parameters

  obj | The display object to cast.

## ◆ CastToGls3DCable()

Gls3DCable * CastToGls3DCable | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a Gls3DCable.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsAdvancedMesh()

GlsAdvancedMesh * CastToGlsAdvancedMesh | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsAdvancedMesh.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsAngularScale()

GlsAngularScale * CastToGlsAngularScale | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsAngularScale.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsClippingGroup()

GlsClippingGroup * CastToGlsClippingGroup | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsClippingGroup.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsCTLTextBox()

GlsCTLTextBox * CastToGlsCTLTextBox | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsCTLTextBox.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsCylinder()

GlsCylinder * CastToGlsCylinder | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsCylinder.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsDynamicPath()

GlsDynamicPath * CastToGlsDynamicPath | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsDynamicPath.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsEllipse()

GlsEllipse * CastToGlsEllipse | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsEllipse.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsEyePoint()

GlsEyePoint * CastToGlsEyePoint | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsEyePoint.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsKnob()

GlsKnob * CastToGlsKnob | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsKnob.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsLightSource()

GlsLightSource * CastToGlsLightSource | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsLightSource.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsLinearFloatController()

GlsLinearFloatController * CastToGlsLinearFloatController | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsLinearFloatController.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsLinearScale()

GlsLinearScale * CastToGlsLinearScale | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsLinearScale.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsLodGroup()

GlsLodGroup * CastToGlsLodGroup | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsLodGroup.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsMimicGroup()

GlsMimicGroup * CastToGlsMimicGroup | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsMimicGroup.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsMovieTexture()

GlsMovieTexture * CastToGlsMovieTexture | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsMovieTexture.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsMovingEye()

GlsMovingEye * CastToGlsMovingEye | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsMovingEye.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsMultiView()

GlsMultiView * CastToGlsMultiView | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsMultiView.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsMutexGroup()

GlsMutexGroup * CastToGlsMutexGroup | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsMutexGroup.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsNinePatch()

GlsNinePatch * CastToGlsNinePatch | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsNinePatch.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsNurbCurve()

GlsNurbCurve * CastToGlsNurbCurve | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsNurbCurve.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsOdometer()

GlsOdometer * CastToGlsOdometer | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsOdometer.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsPathManager()

GlsPathManager * CastToGlsPathManager | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsPathManager.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsPolyLine()

GlsPolyLine * CastToGlsPolyLine | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsPolyLine.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsPushButton()

GlsPushButton * CastToGlsPushButton | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsPushButton.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsSchematicPolyLineInterconnect()

GlsSchematicPolyLineInterconnect * CastToGlsSchematicPolyLineInterconnect | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsSchematicPolyLineInterconnect.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsSchematicTeeInterconnect()

GlsSchematicTeeInterconnect * CastToGlsSchematicTeeInterconnect | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsSchematicTeeInterconnect.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsSerialMorphMesh()

GlsSerialMorphMesh * CastToGlsSerialMorphMesh | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsSerialMorphMesh.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsSphere()

GlsSphere * CastToGlsSphere | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsSphere.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsSwitch()

GlsSwitch * CastToGlsSwitch | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsSwitch.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsTextBox()

GlsTextBox * CastToGlsTextBox | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsTextBox.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsTextGrid()

GlsTextGrid * CastToGlsTextGrid | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsTextGrid.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsThumbWheel()

GlsThumbWheel * CastToGlsThumbWheel | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsThumbWheel.

Parameters

  obj | The display object to cast.

## ◆ CastToGlsVideoToTexture()

GlsVideoToTexture * CastToGlsVideoToTexture | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlsVideoToTexture.

Parameters

  obj | The display object to cast.

## ◆ CastToGLTriMesh()

GLTriMesh * CastToGLTriMesh | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a GlTriMesh.

Parameters

  obj | The display object to cast.

## ◆ CastToGroup()

Group * CastToGroup | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a Group (returns null on failure to cast)

Parameters

  obj | The display object to cast.

## ◆ CastToText()

Text * CastToText | ( | DisplayObject * | obj | ) |

Casts a DisplayObject to a Text object.

Parameters

  obj | The display object to cast

Since
  GL Studio 6.0.1

## ◆ ConvertSelectedToGlsCTLTextBox()

void ConvertSelectedToGlsCTLTextBox | ( |  | ) |

Converts the objects into GlsCTLTextBoxes, if compatible.

## ◆ ConvertSelectedToGlsTextBox()

void ConvertSelectedToGlsTextBox | ( |  | ) |

Converts the objects into GlsTextBoxes, if compatible.

## ◆ ConvertSelectedToGlsTextGrid()

void ConvertSelectedToGlsTextGrid | ( |  | ) |

Converts the objects into GlsTextGrids, if compatible.